lv.eparaksts.tsl

## Class TrustedListServiceStatus

- java.lang.Object
- - lv.eparaksts.tsl.TrustedListServiceStatus

- All Implemented Interfaces:
    Serializable

      public class TrustedListServiceStatus
      extends Object
      implements Serializable

  Represents a Trusted List Service status.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `STATUS_ACCREDITATION_CEASED`
    `static String` | `STATUS_ACCREDITATION_REVOKED`
    `static String` | `STATUS_ACCREDITED`
    `static String` | `STATUS_DEPRECATED_AT_NATIONAL_LEVEL`
    `static String` | `STATUS_DEPRECATED_BY_NATIONAL_LAW`
    `static String` | `STATUS_GRANTED`
    `static String` | `STATUS_GRANTED_UA`
    `static String` | `STATUS_RECOGNISED_AT_NATIONAL_LEVEL`
    `static String` | `STATUS_SET_BY_NATIONAL_LAW`
    `static String` | `STATUS_SUPERVISION_CEASED`
    `static String` | `STATUS_SUPERVISION_IN_CESSATION`
    `static String` | `STATUS_SUPERVISION_REVOKED`
    `static String` | `STATUS_UNDER_SUPERVISION`
    `static String` | `STATUS_WITHDRAWN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrustedListServiceStatus(TrustedListService service)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getEndDate()`
    `TrustedListService` | `getService()`
    `Date` | `getStartDate()`
    `String` | `getStatus()`
    `boolean` | `isActualAt(Date date)`
    `boolean` | `isStatusAcceptable()`
    `boolean` | `isStatusRevoked()`
    `boolean` | `isStatusUnknown()`
    `protected void` | `setEndDate(Date endDate)`
    `protected void` | `setStartDate(Date startDate)`
    `protected void` | `setStatus(String status)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_UNDER_SUPERVISION

          public static final String STATUS_UNDER_SUPERVISION

      See Also:
        Constant Field Values

    - #### STATUS_SUPERVISION_IN_CESSATION

          public static final String STATUS_SUPERVISION_IN_CESSATION

      See Also:
        Constant Field Values

    - #### STATUS_SUPERVISION_CEASED

          public static final String STATUS_SUPERVISION_CEASED

      See Also:
        Constant Field Values

    - #### STATUS_SUPERVISION_REVOKED

          public static final String STATUS_SUPERVISION_REVOKED

      See Also:
        Constant Field Values

    - #### STATUS_ACCREDITED

          public static final String STATUS_ACCREDITED

      See Also:
        Constant Field Values

    - #### STATUS_ACCREDITATION_CEASED

          public static final String STATUS_ACCREDITATION_CEASED

      See Also:
        Constant Field Values

    - #### STATUS_ACCREDITATION_REVOKED

          public static final String STATUS_ACCREDITATION_REVOKED

      See Also:
        Constant Field Values

    - #### STATUS_GRANTED

          public static final String STATUS_GRANTED

      See Also:
        Constant Field Values

    - #### STATUS_WITHDRAWN

          public static final String STATUS_WITHDRAWN

      See Also:
        Constant Field Values

    - #### STATUS_SET_BY_NATIONAL_LAW

          public static final String STATUS_SET_BY_NATIONAL_LAW

      See Also:
        Constant Field Values

    - #### STATUS_RECOGNISED_AT_NATIONAL_LEVEL

          public static final String STATUS_RECOGNISED_AT_NATIONAL_LEVEL

      See Also:
        Constant Field Values

    - #### STATUS_DEPRECATED_BY_NATIONAL_LAW

          public static final String STATUS_DEPRECATED_BY_NATIONAL_LAW

      See Also:
        Constant Field Values

    - #### STATUS_DEPRECATED_AT_NATIONAL_LEVEL

          public static final String STATUS_DEPRECATED_AT_NATIONAL_LEVEL

      See Also:
        Constant Field Values

    - #### STATUS_GRANTED_UA

          public static final String STATUS_GRANTED_UA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrustedListServiceStatus

          protected TrustedListServiceStatus(TrustedListService service)

  - ### Method Detail

    - #### getService

          public TrustedListService getService()

    - #### getStatus

          public String getStatus()

    - #### setStatus

          protected void setStatus(String status)

    - #### getStartDate

          public Date getStartDate()

    - #### setStartDate

          protected void setStartDate(Date startDate)

    - #### getEndDate

          public Date getEndDate()

    - #### setEndDate

          protected void setEndDate(Date endDate)

    - #### isActualAt

          public boolean isActualAt(Date date)

    - #### isStatusAcceptable

          public boolean isStatusAcceptable()

    - #### isStatusRevoked

          public boolean isStatusRevoked()

    - #### isStatusUnknown

          public boolean isStatusUnknown()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO